#ifndef CROCPARTY_SYS_H
#define CROCPARTY_SYS_H

#include "sys_data.h"
#include "sys_graphics.h"
#include "fonts/sys_font_small.h"

/**
 * Initialize sys. 
 */
void sys_init();

/**
 * Update sys -- usually for input state.
 */
void sys_update();

/**
 * Return whether sys was initialized.
 */
bool sys_get_initialized();

/**
 * Destroy sys.
 */
void sys_destroy();

#endif // CROCPARTY_SYS_H